Package org.kie.internal.services

## Class KieBeliefsImpl

- java.lang.Object
- - org.kie.internal.services.KieBeliefsImpl

- All Implemented Interfaces:
    `Consumer<org.kie.api.internal.runtime.beliefs.KieBeliefService>`, `org.kie.api.internal.runtime.beliefs.KieBeliefs`, `org.kie.api.internal.utils.KieService`, `org.kie.api.Service`

      public class KieBeliefsImpl
      extends Object
      implements org.kie.api.internal.runtime.beliefs.KieBeliefs, Consumer<org.kie.api.internal.runtime.beliefs.KieBeliefService>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KieBeliefsImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(org.kie.api.internal.runtime.beliefs.KieBeliefService kieBeliefService)` |
    `Map<String,​org.kie.api.internal.runtime.beliefs.KieBeliefService>` | `getBeliefs()` |
    `Class` | `getServiceInterface()` |
    `org.kie.api.internal.runtime.beliefs.KieBeliefService[]` | `getServices()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Consumer

      `andThen`

- - ### Constructor Detail

    - #### KieBeliefsImpl

          public KieBeliefsImpl()

  - ### Method Detail

    - #### getBeliefs

          public Map<String,​org.kie.api.internal.runtime.beliefs.KieBeliefService> getBeliefs()

      Specified by:
        `getBeliefs` in interface `org.kie.api.internal.runtime.beliefs.KieBeliefs`

    - #### getServiceInterface

          public Class getServiceInterface()

    - #### getServices

          public org.kie.api.internal.runtime.beliefs.KieBeliefService[] getServices()

      Specified by:
        `getServices` in interface `org.kie.api.internal.runtime.beliefs.KieBeliefs`

    - #### accept

          public void accept​(org.kie.api.internal.runtime.beliefs.KieBeliefService kieBeliefService)

      Specified by:
        `accept` in interface `Consumer<org.kie.api.internal.runtime.beliefs.KieBeliefService>`